> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List brand workflows

> Workflow executions for the brand.

### Path parameters

<ParamField path="brand_id" type="string (uuid)" required />

### Query parameters

<ParamField query="limit" type="integer">
  Max items (capped at 1000).
</ParamField>

<ParamField query="offset" type="integer" />

<ParamField query="status" type="string">
  Filter by status.
</ParamField>

### Response

`object`

<ResponseField name="items" type="object[]" required>
  <Expandable title="items">
    <ResponseField name="id" type="string (uuid)" required />

    <ResponseField name="workflow_id" type="string" />

    <ResponseField name="external_id" type="string" />

    <ResponseField name="status" type="string" required />

    <ResponseField name="current_phase" type="string" />

    <ResponseField name="routing_mode" type="string" />

    <ResponseField name="duration_ms" type="integer" />

    <ResponseField name="started_at" type="string (date-time)" required />
  </Expandable>
</ResponseField>

<ResponseField name="total" type="integer" required />

<ResponseField name="limit" type="integer" required />

<ResponseField name="offset" type="integer" required />

### Status codes

| Code  | Meaning                            |
| ----- | ---------------------------------- |
| `200` | Workflow executions for the brand. |
| `400` | Validation error                   |
| `401` | Unauthorized                       |
| `404` | Not found                          |
| `429` | Rate limited                       |
| `500` | Internal error                     |

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/workflows' \
    --header "x-api-key: $STATESET_TEMPORAL_API_KEY"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "items": [
      {
        "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "external_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "status": "pending",
        "current_phase": "string",
        "routing_mode": "string",
        "duration_ms": 8,
        "started_at": "2026-08-31T14:22:05Z"
      }
    ],
    "total": 102,
    "limit": 20,
    "offset": 1
  }
  ```
</ResponseExample>
